Open Chinese Convert 1.2.0 A project for conversion between Traditional and Simplified Chinese

Loading...
Searching...
No Matches
Public Member Functions | List of all members
opencc::NoValueDictEntry Class Reference
Inheritance diagram for opencc::NoValueDictEntry:

## Public Member Functions
| NoValueDictEntry (const std::string &_key)
virtual std::string | Key () const
virtual std::vector< std::string > | Values () const
virtual std::string | GetDefault () const
virtual size_t | NumValues () const
virtual std::string | ToString () const
Public Member Functions inherited from opencc::DictEntry
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Additional Inherited Members
Static Public Member Functions inherited from opencc::DictEntry
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Member Function Documentation

## ◆ GetDefault()

virtual std::string opencc::NoValueDictEntry::GetDefault | ( |  | ) | const
| inline virtual

Implements opencc::DictEntry.

## ◆ Key()

virtual std::string opencc::NoValueDictEntry::Key | ( |  | ) | const
| inline virtual

Implements opencc::DictEntry.

## ◆ NumValues()

virtual size_t opencc::NoValueDictEntry::NumValues | ( |  | ) | const
| inline virtual

Implements opencc::DictEntry.

## ◆ ToString()

virtual std::string opencc::NoValueDictEntry::ToString | ( |  | ) | const
| inline virtual

Implements opencc::DictEntry.

## ◆ Values()

virtual std::vector< std::string > opencc::NoValueDictEntry::Values | ( |  | ) | const
| inline virtual

Implements opencc::DictEntry.

The documentation for this class was generated from the following file:

- DictEntry.hpp